Bug 1657434 - mutter does not support 10-bit color depth
Summary: mutter does not support 10-bit color depth
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-08 04:54 UTC by udo
Modified: 2020-11-03 15:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description udo 2018-12-08 04:54:36 UTC
Description of problem:
When setting xorg for 10-bit Depth / DefaultDepth in /etc/X11/xorg.conf we get, after restart of xorg, a desktop that is unresponsive to mouse clicks.

Version-Release number of selected component (if applicable):
mutter-3.30.2-2.fc29.x86_64

How reproducible:
See above.

Steps to Reproduce:
See above.

Actual results:
See above.

Expected results:
Working desktop, responsive to mouseclicks, at 10-bit Depth.

Additional info:
There supposedly is an 'upstream' fix but this ha not reached us in many many months.

Comment 2 udo 2018-12-08 04:57:45 UTC
FWIW:
10-bit is per channel of RGB.
So the xorg.conf will look something like:

Section "Screen"
        Identifier "MyScreen"
        Device     "Radeon"
        DefaultDepth     30
        SubSection "Display"
                Depth     30
(cut)

Comment 3 udo 2018-12-13 14:14:58 UTC
- xorg does 30 bit OK
- my monitor's specs say 3*10 bit is no problem
- the fix is 'upstream'
- so what are we waiting for?

Comment 4 udo 2019-05-05 11:09:14 UTC
Tested with fedora 30, git amdgpu and git mesa and again same behaviour.

So we have incomplete hardware support in gnome:
Not the full Depth/Defaultdepth in /etc/X11/xorg.conf *and* no fractional scaling for hiDPi screens out of the box...

Comment 5 Ben Cotton 2020-11-03 15:06:07 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 udo 2020-11-03 15:52:02 UTC
I tried 30 bit by removing allow_rgb10_configs=false from /etc/environment
and using Depth     30 and DefaultDepth     30 in /etc/X11/xorg.conf.
Then we went to single user mode, waited for gdm to go away and back to runlevel 5.
There stuff appears to work:
$ xwininfo -root | grep Depth
  Depth: 30
$

Would that be enough proof of 30 bit working?


Note You need to log in before you can comment on or make changes to this bug.